
/*
 * KITNARF's Java Library <http://www.kitnarf.cz/java/>.
 * COPYRIGHT (C) 2009 Petr Frantík (www.kitnarf.cz). ALL RIGHTS RESERVED. 
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package cz.kitnarf.colorfunction;

import java.awt.*;


//**************************************************************************************************************************
/**
 *Canvas for showing up a color function.
 *
 *@author Petr Frantík
 *@version 20090404
 */
public class ScaleCanvas extends Canvas
{
	ScaleFrame sf;

	//******************************************************************************************************************
	ScaleCanvas(ScaleFrame sf,int width,int height)
	{
		this.sf=sf;
		this.setSize(width,height);
	}




	//******************************************************************************************************************
	public void paint(Graphics g)
	{
		//System.out.println("Ahoj");
		for(int i=0;i<this.getWidth();i++)
		{
			g.setColor(sf.getColorFunction().getColor(1.0*i/(this.getWidth()-1)));
			g.drawRect(i,0,1,this.getHeight());
		}
		//g.drawString("Ahoj",20,10);
	}



}


